package com.unis.module.coding.dal.mysql.spqyxx;

import java.util.*;

import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.unis.framework.mybatis.core.mapper.BaseMapperX;
import com.unis.module.coding.dal.dataobject.spqyxx.SpqyxxDO;
import org.apache.ibatis.annotations.Mapper;
import com.unis.module.coding.controller.admin.spqyxx.vo.*;

/**
 * 视频区域信息 Mapper
 *
 * @author 超级管理员
 */
@Mapper
public interface SpqyxxMapper extends BaseMapperX<SpqyxxDO> {

    default PageResult<SpqyxxDO> selectPage(SpqyxxPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<SpqyxxDO>()
                .eqIfPresent(SpqyxxDO::getLeaf, reqVO.getLeaf())
                .likeIfPresent(SpqyxxDO::getName, reqVO.getName())
                .eqIfPresent(SpqyxxDO::getKqdm, reqVO.getKqdm())
                .orderByDesc(SpqyxxDO::getId));
    }

}